Bug 202199 - "ip" don't recognize flag 0x10000
"ip" don't recognize flag 0x10000
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: iproute (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Vokal
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-11 10:51 EDT by Peter Bieringer
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 2.6.16-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-21 07:54:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Bieringer 2006-08-11 10:51:56 EDT
Description of problem:

"ip link" shows a hexadecimal value in link information

Version-Release number of selected component (if applicable):
iproute-2.6.15-1.2
kernel-2.6.17-1.2157_FC5


How reproducible:
Always

Steps to Reproduce:
1. boot kernel
2. setup interface
3. ip link show dev eth0
  
Actual results:
2: eth0: <BROADCAST,MULTICAST,UP,10000> mtu 1500 qdisc pfifo_fast qlen 1000
    link/ether 00:01:03:33:23:c9 brd ff:ff:ff:ff:ff:

Expected results:
"10000" replaced by a informational string, e.g. LINKUP

Additional info:
Problem is already known:

http://www.mail-archive.com/debian-bugs-dist@lists.debian.org/msg217910.html

There's a flag 10000 that is not recognized by iproute. The kernel uses

#define IFF_LOWER_UP    0x10000         /* driver signals L1 up         */
#define IFF_DORMANT     0x20000         /* driver signals dormant       */
Comment 1 Radek Vokal 2006-08-21 07:54:38 EDT
Fixed in rawhide, I've added those to flags. Are there any other flags missing? 

Note You need to log in before you can comment on or make changes to this bug.